Subject: Re: Signals

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 3 Nov 1999 07:12:33 -0600

My view of on hook or off hook is that they are instantaneous
events/signals.  In other words, the event/signal is really off hook
transition.  To undo an off hook signal, you wouldn't stop it, you would
send an on hook transition signal.

This is a matter of style: you could also, as Chip implies, consider off
hook to be a signal which is applied for the duration of a call, then
stopped, at which time the background on-hook state would prevail.

Do people have a preference between these two views?

> -----Original Message-----
> From: Chip Sharp [SMTP:[email-masked]]
> Sent: Friday, October 29, 1999 2:16 PM
> To:   [email-masked]
> Subject:      Re: Signals
>
> At 10:19 AM 10/29/99 -0500, Peter Blatherwick wrote:
>
> >My understanding, based on discussion, is:  The signal replacement rule
> is
> >applicable to signals that have duration, such as playing of tones and
> >announcements.  Many signals are "immediate" and have no duration, such
> as
> >going on/off hook, turning on/off indicators, updating display.  The
> >latter class of signals would NOT be wiped out (ie display not cleared,
> >indicators not turned off) by a new SignalsDescriptor.  Correct?
> >
> >Sure.  If a BR signal finished between the time you played it and you
> sent
> >a new one we don't rewind the media stream :).  If it's over in a
> >millisecond, the issue doesn't arise.
> >Agreed then.  "Immediate" signals are not affected by arrival of a new
> >SignalsDescriptor unless it contains some explicit action (explicitly
> >clears display, etc).
>
> I hope you are saying that on-hook and off-hook have duration.  That is,
> they are OO events.  This is why OO events should only be turned off
> explicitly.
>
> BTW, there should be very few OO events.
>
> Sounds like what you are calling "immediate" is what I am calling "OO".
>
>
> >-- Peter Blatherwick
>
> Support NetAid!  http://www.netaid.org
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.
> --------------------------------------------------